{
    attributes = (
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = crctOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CRCTD_ORDRE"; 
            externalType = NUMBER; 
            name = dcrctOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CRCT_DETAIL"; 
            externalType = DATE; 
            name = dDebCrct; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_CRCT_DETAIL"; 
            externalType = DATE; 
            name = dFinCrct; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (crctOrdre, dcrctOrdre); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EODetailCrct"; 
    classProperties = (crctOrdre, dCreation, dDebCrct, dFinCrct, dModification, toCrct); 
    externalName = "MANGUE.CRCT_DETAIL"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkgrh_DetailCrct"; 
    primaryKeyAttributes = (dcrctOrdre); 
    relationships = (
        {
            destination = "Fwkgrh_Crct"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = crctOrdre; }); 
            name = toCrct; 
        }
    ); 
}
